#
#  Mike Schuster
#  mschuster@cfa.harvard.edu
#  1 SEPT 2006
#
#  Template for MOPEX's overlap module.
#
#
# Module Control
#-------------------------------------------------------

have_uncertainties = 1
compute_uncertainties_internally = 0

run_medfilter = 0
run_fiducial_image_frame = <run_fiducial_image_frame>

run_mosaic_interp = 1
compute_overlap_correction = 1
apply_overlap_correction = 1

# Run Options
#-------------------------------------------------------

delete_intermediate_products = 1
delete_intermediate_files = 1
save_namelist = 0
NICE = 1
verbose = 0
overwrite_dmask = 0

USE_REFINED_POINTING = 0

MOSAIC_PIXEL_SIZE_X = <MOSAIC_PIXEL_SIZE_X>
MOSAIC_PIXEL_SIZE_Y = <MOSAIC_PIXEL_SIZE_Y>

#MOSAIC_PIXEL_RATIO_X = 1.220
#MOSAIC_PIXEL_RATIO_Y = 1.220

# File Lists
#-------------------------------------------------------

IMAGE_STACK_FILE_NAME = <IMAGE_STACK_FILE_NAME>
SIGMALIST_FILE_NAME = <SIGMALIST_FILE_NAME>
FIF_FILE_NAME = <FIF_FILE_NAME>
PMASK_FILE_NAME = <PMASK_FILE_NAME>
DCE_STATUS_MASK_LIST = <DCE_STATUS_MASK_LIST>

# Pmask Bits 7-10,14
PMask_Fatal_BitPattern = 18304
# Dmask Bits 5,10-14
DCE_Status_Mask_Fatal_BitPattern = <DCE_Status_Mask_Fatal_BitPattern>

# Directories
#-------------------------------------------------------

OUTPUT_DIR = <OUTPUT_DIR>
OVERLAP_CORR_DIR = <OVERLAP_CORR_DIR>
SIGMA_DIR = Sigma
MEDFILTER_DIR = Medfilter
INTERP_DIR = Interp
DETECT_DIR = Detect

# Module Parameters
#-------------------------------------------------------

&MEDFILTER
   Window_X = 25,
   Window_Y = 25,
   N_Outliers_Per_Window = 525,
&END

&FIDUCIALIMAGEFRAMEIN
# Edge_Padding is given in terms of pixels,
   Edge_Padding = <Edge_Padding>,
# if specified CROTA2 is used for FIF,
# without modification (A = average),
   CROTA2 = <CROTA2>,
&END

&MOSAICINTIN
# INTERP_METHOD = 1(default), 2(Drizzle), 3(Grid), 4(bicubic),
   INTERP_METHOD = 1,
#   FINERES = 1,
#   DRIZ_FAC = 0.66,
#   GRID_RATIO = 1,
#   ALPHA = -0.5,
&END

&COMPUTEOVRLAPCORRIN
# TOP_THRESHOLD = 0(defalut),
   TOP_THRESHOLD = <TOP_THRESHOLD>,
# BOTTOM_THRESHOLD = 0(defalut),
   BOTTOM_THRESHOLD = <BOTTOM_THRESHOLD>,
# MIN_IMG_NUM = 4(defalut),
   MIN_IMG_NUM = <MIN_IMG_NUM>,
&END
