#
# (c) 2004 Mike Schuster (mschuster@cfa.harvard.edu)
# (c) 2004 SAO - Smithsonian Astrophysical Observatory
#
#  v2.1 - 4 APR 2006
#
#  Convert IRAC Dmask images to IRAF bad pixel masks (BPM).
#

my $bcdlist = shift;
my @imlist;

open(BCD,$bcdlist);
foreach (<BCD>) {
    chomp;
    if (m/I/) {
        push @imlist,$_;
    }
}
close(BCD);

foreach my $image (@imlist) {

        my $bdmsk = $image;
        $bdmsk =~ s/bcd.fits/bdmsk.fits/g;
        my $bpm = $image;
        $bpm =~ s/bcd.fits/bpm.fits/g;
        print 'imcopy ',$bdmsk,' ',$bpm,"\n";
        print 'imreplace ',$bpm,' 0.0 upper=1023',"\n";
        print 'imreplace ',$bpm,' 1.0 lower=1024',"\n";
        print 'hedit ',$image,' fields="BPM" add+ value="',$bpm,'" verify- update+',"\n";

}

exit 0;

1;
